import request from '@/utils/request'
// 查询内部位移数据列表不分页
export function listIfNopage(query) {
  return request({
    url: '/project/If/listNoPage',
    method: 'get',
    params: query
  })
}
// 查询裂缝监测数据列表
export function listIf(query) {
  return request({
    url: '/project/If/list',
    method: 'get',
    params: query
  })
}

// 查询裂缝监测数据详细
export function getIf(id) {
  return request({
    url: '/project/If/' + id,
    method: 'get'
  })
}

// 新增裂缝监测数据
export function addIf(data) {
  return request({
    url: '/project/If',
    method: 'post',
    data: data
  })
}

// 修改裂缝监测数据
export function updateIf(data) {
  return request({
    url: '/project/If',
    method: 'put',
    data: data
  })
}

// 删除裂缝监测数据
export function delIf(id) {
  return request({
    url: '/project/If/' + id,
    method: 'delete'
  })
}
